export default Ember.HTMLBars.template((function() {
  return {
    meta: {
      "revision": "Ember@1.13.11",
      "loc": {
        "source": null,
        "start": {
          "line": 1,
          "column": 0
        },
        "end": {
          "line": 12,
          "column": 10
        }
      },
      "moduleName": "my-weather-forecast/templates/application.hbs"
    },
    arity: 0,
    cachedFragment: null,
    hasRendered: false,
    buildFragment: function buildFragment(dom) {
      var el0 = dom.createDocumentFragment();
      var el1 = dom.createComment(" myWeatherForecast challenge by Juan Alba Maldonado ");
      dom.appendChild(el0, el1);
      var el1 = dom.createTextNode("\n\n");
      dom.appendChild(el0, el1);
      var el1 = dom.createElement("div");
      dom.setAttribute(el1,"id","temperature_units_selector");
      var el2 = dom.createTextNode("\n	");
      dom.appendChild(el1, el2);
      var el2 = dom.createElement("button");
      dom.setAttribute(el2,"id","temperature_unit_metric");
      var el3 = dom.createTextNode("ºC");
      dom.appendChild(el2, el3);
      dom.appendChild(el1, el2);
      var el2 = dom.createTextNode("\n	");
      dom.appendChild(el1, el2);
      var el2 = dom.createElement("button");
      dom.setAttribute(el2,"id","temperature_unit_imperial");
      var el3 = dom.createTextNode("ºF");
      dom.appendChild(el2, el3);
      dom.appendChild(el1, el2);
      var el2 = dom.createTextNode("\n	");
      dom.appendChild(el1, el2);
      var el2 = dom.createElement("button");
      dom.setAttribute(el2,"id","temperature_unit_kevin");
      var el3 = dom.createTextNode("K");
      dom.appendChild(el2, el3);
      dom.appendChild(el1, el2);
      var el2 = dom.createTextNode("\n	");
      dom.appendChild(el1, el2);
      var el2 = dom.createComment("");
      dom.appendChild(el1, el2);
      var el2 = dom.createTextNode("\n");
      dom.appendChild(el1, el2);
      dom.appendChild(el0, el1);
      var el1 = dom.createTextNode("\n\n");
      dom.appendChild(el0, el1);
      var el1 = dom.createElement("h2");
      dom.setAttribute(el1,"id","main_title");
      var el2 = dom.createTextNode("myWeatherForecast");
      dom.appendChild(el1, el2);
      dom.appendChild(el0, el1);
      var el1 = dom.createTextNode("\n\n");
      dom.appendChild(el0, el1);
      var el1 = dom.createComment("");
      dom.appendChild(el0, el1);
      return el0;
    },
    buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
      var element0 = dom.childAt(fragment, [2]);
      var element1 = dom.childAt(element0, [1]);
      var element2 = dom.childAt(element0, [3]);
      var element3 = dom.childAt(element0, [5]);
      var morphs = new Array(8);
      morphs[0] = dom.createAttrMorph(element1, 'class');
      morphs[1] = dom.createElementMorph(element1);
      morphs[2] = dom.createAttrMorph(element2, 'class');
      morphs[3] = dom.createElementMorph(element2);
      morphs[4] = dom.createAttrMorph(element3, 'class');
      morphs[5] = dom.createElementMorph(element3);
      morphs[6] = dom.createMorphAt(element0,7,7);
      morphs[7] = dom.createMorphAt(fragment,6,6,contextualElement);
      dom.insertBoundary(fragment, null);
      return morphs;
    },
    statements: [
      ["attribute","class",["concat",["temperature_unit"," ",["subexpr","if",[["get","isCelsius",[]],"enabled","disabled"],[],[]]]]],
      ["element","action",["changeTemperatureUnit","metric"],[],["loc",[null,[4,38],[4,81]]]],
      ["attribute","class",["concat",["temperature_unit"," ",["subexpr","if",[["get","isFarenheit",[]],"enabled","disabled"],[],[]]]]],
      ["element","action",["changeTemperatureUnit","imperial"],[],["loc",[null,[5,40],[5,85]]]],
      ["attribute","class",["concat",["temperature_unit"," ",["subexpr","if",[["get","isKelvin",[]],"enabled","disabled"],[],[]]]]],
      ["element","action",["changeTemperatureUnit","kelvin"],[],["loc",[null,[6,37],[6,80]]]],
      ["content","temperatureUnits",["loc",[null,[7,1],[7,21]]]],
      ["content","outlet",["loc",[null,[12,0],[12,10]]]]
    ],
    locals: [],
    templates: []
  };
}()));